* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
}

.navbar {
    background-color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    z-index: 8888;
    position: relative;
}

.logo a {
    display: flex;
    align-items: center;
    justify-self: center;
    color: rgb(0, 0, 0);
    text-decoration: none;
    font-size: 1.3rem;
    font-weight: bold;
}

.logo a img{
    width: 50px;
    margin-right: 10px;
}

.nav-links {
    display: flex;
    list-style: none;
    z-index: 9999;
    margin-bottom: 0;
}

.nav-links li {
    margin-left: 2rem;
}

.nav-links a {
    color: rgb(0, 0, 0);
    text-decoration: none;
    font-size: 1rem;
    transition: color 0.3s;
}

.nav-links a:hover {
    color: #db1200;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.menu-toggle span {
    height: 3px;
    width: 25px;
    background-color: #db1200;
    margin: 3px 0;
    transition: all 0.3s;
}


/* Mobile styles */
@media (max-width: 768px) {
    .nav-links {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #fff;
        flex-direction: column;
        align-items: center;
        padding: 1rem 0;
        clip-path: circle(0px at 90% -10%);
        transition: clip-path 0.5s ease-in-out;
    }

    .nav-links.active {
        clip-path: circle(1000px at 90% -10%);
    }

    .nav-links li {
        margin: 1rem 0;
    }

    .menu-toggle {
        display: flex;
    }

    .menu-toggle.active span:nth-child(1) {
        transform: rotate(45deg) translate(5px, 6px);
    }

    .menu-toggle.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-toggle.active span:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -6px);
    }
}